> For the complete documentation index, see [llms.txt](https://docs.minical.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.minical.io/build-an-extension/build-your-first-extension/helper.md).

# Helper

Each helper file is simply a collection of functions in a particular category. For example, we have a booking\_list\_helper.php file.

```php
<?PHP
//file name booking_list_helper.php
function custom_helper($data){
    // start writing code here   
}
?>
```

**Loading of booking\_list\_helper.php**

For loading helper file go to the autoload.php under config folder of your extension add helper file in the array, use $extension\_helper variable. you can add multiple helper files into this array, they will be loaded automatically by my\_controller.

```php
//file name autoload.php
$extension_helper  = array(
                      'booking_list_helper'
                     );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.minical.io/build-an-extension/build-your-first-extension/helper.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
